typedef union {
  double fnum;          /* double number */
  int inum;             /* integer number */
  int token;            /* token of command */
  int sep;              /* number of newlines */
  char *string;         /* quoted string */
  char *symbol;         /* general symbol */
  char *digits;         /* string of digits */
  char *docu;		/* embedded documentation */
} YYSTYPE;
#define	tSEP	258
#define	tFNUM	259
#define	tSYMBOL	260
#define	tSTRSYM	261
#define	tDOCU	262
#define	tDIGITS	263
#define	tSTRING	264
#define	tFOR	265
#define	tTO	266
#define	tSTEP	267
#define	tNEXT	268
#define	tWHILE	269
#define	tWEND	270
#define	tREPEAT	271
#define	tUNTIL	272
#define	tIMPORT	273
#define	tGOTO	274
#define	tGOSUB	275
#define	tLABEL	276
#define	tON	277
#define	tSUB	278
#define	tENDSUB	279
#define	tLOCAL	280
#define	tSTATIC	281
#define	tEXPORT	282
#define	tERROR	283
#define	tEXECUTE	284
#define	tEXECUTE2	285
#define	tCOMPILE	286
#define	tRUNTIME_CREATED_SUB	287
#define	tINTERRUPT	288
#define	tBREAK	289
#define	tCONTINUE	290
#define	tEOPROG	291
#define	tIF	292
#define	tTHEN	293
#define	tELSE	294
#define	tELSIF	295
#define	tENDIF	296
#define	tUSING	297
#define	tPRINT	298
#define	tINPUT	299
#define	tLINE	300
#define	tRETURN	301
#define	tDIM	302
#define	tEND	303
#define	tEXIT	304
#define	tAT	305
#define	tSCREEN	306
#define	tREVERSE	307
#define	tCOLOUR	308
#define	tAND	309
#define	tOR	310
#define	tNOT	311
#define	tEOR	312
#define	tNEQ	313
#define	tLEQ	314
#define	tGEQ	315
#define	tLTN	316
#define	tGTN	317
#define	tEQU	318
#define	tPOW	319
#define	tREAD	320
#define	tDATA	321
#define	tRESTORE	322
#define	tOPEN	323
#define	tCLOSE	324
#define	tSEEK	325
#define	tTELL	326
#define	tORIGIN	327
#define	tWINDOW	328
#define	tDOT	329
#define	tCIRCLE	330
#define	tTEXT	331
#define	tCLEAR	332
#define	tFILL	333
#define	tPRINTER	334
#define	tWAIT	335
#define	tBELL	336
#define	tLET	337
#define	tARDIM	338
#define	tARSIZE	339
#define	tRECT	340
#define	tGETBIT	341
#define	tPUTBIT	342
#define	tGETCHAR	343
#define	tPUTCHAR	344
#define	tFRAME	345
#define	tNEW	346
#define	tCURVE	347
#define	tSIN	348
#define	tASIN	349
#define	tCOS	350
#define	tACOS	351
#define	tTAN	352
#define	tATAN	353
#define	tEXP	354
#define	tLOG	355
#define	tSQRT	356
#define	tSQR	357
#define	tMYEOF	358
#define	tABS	359
#define	tSIG	360
#define	tINT	361
#define	tFRAC	362
#define	tMOD	363
#define	tRAN	364
#define	tLEN	365
#define	tVAL	366
#define	tLEFT	367
#define	tRIGHT	368
#define	tMID	369
#define	tMIN	370
#define	tMAX	371
#define	tSTR	372
#define	tINKEY	373
#define	tCHR	374
#define	tASC	375
#define	tHEX	376
#define	tDEC	377
#define	tBIN	378
#define	tUPPER	379
#define	tLOWER	380
#define	tMOUSEX	381
#define	tMOUSEY	382
#define	tMOUSEB	383
#define	tMOUSEMOD	384
#define	tTRIM	385
#define	tLTRIM	386
#define	tRTRIM	387
#define	tINSTR	388
#define	tRINSTR	389
#define	tSYSTEM	390
#define	tSYSTEM2	391
#define	tPEEK	392
#define	tPEEK2	393
#define	tPOKE	394
#define	tDATE	395
#define	tTIME	396
#define	tTOKEN	397
#define	tTOKENALT	398
#define	tSPLIT	399
#define	tSPLITALT	400
#define	tGLOB	401
#define	UMINUS	402


extern YYSTYPE yylval;
